<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('user_gamer_tags', function (Blueprint $table) {
            $table->id();
            $table->integer('user_id')->index()->unique()->unsigned();
            $table->string('xbox_live')->nullable()->default(null);
            $table->string('wii')->nullable()->default(null);
            $table->string('wii_u')->nullable()->default(null);
            $table->string('3ds')->nullable()->default(null);
            $table->string('nintendo_id')->nullable()->default(null);
            $table->string('nintendo_switch_id')->nullable()->default(null);
            $table->string('psn')->nullable()->default(null);
            $table->string('steam')->nullable()->default(null);
            $table->string('battle_net')->nullable()->default(null);
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('user_gamer_tags');
    }
};
